<?
define('PROTECTOR', 1);

$headmod = 'shop';//фикс. места

$textl='Магазин';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
going();
ryd();
place_okr();
place_tower();
@include('files/head.php');
@include('files/zag.php');

switch($_GET[mod]){

default:
if(empty($_GET[o])){
echo"<a href=\"shoppit.php?o=weapon\">Отдел оружия</a><br/>";
echo"<a href=\"shoppit.php?o=golova\">Отдел шлемов</a><br/>";
echo"<a href=\"shoppit.php?o=body\">Отдел доспехов</a><br/>";
echo"<a href=\"shoppit.php?o=nogi\">Отдел сапог</a>";
}else{
if($_GET[o]!=weapon && $_GET[o]!=golova && $_GET[o]!=body && $_GET[o]!=nogi){
echo'Ошибка!';
include('files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `pit_shop` WHERE `city` = '$udata[city]' and `tip`='$_GET[o]'");
////////////////////////////
$avto=mysql_num_rows($req);

While($mag = mysql_fetch_array($req))
{
echo"<a href=\"shoppit.php?mod=info&amp;id=$mag[id]\">$mag[name]</a> ($mag[cena] монет) [<a href=\"shoppit.php?act=ask&amp;mod=sell&amp;id=$mag[id]\">купить</a>]<br/>";}
echo"<a href=\"shoppit.php?\">Назад</a>";}
break;

case 'info':
$req = mysql_query("SELECT * FROM `pit_shop` WHERE `city` = '$udata[city]' and `id`='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
@include('files/down.php');
exit;}
$mag = mysql_fetch_array($req);
switch($mag[tip]){
case 'weapon':
$tip='Оружие';
break;
case 'body':
$tip='Доспехи';
break;
case 'golova':
$tip='Шлем';
break;
case 'nogi':
$tip='Сапоги';
break;}
switch($mag[rasa]){
case 'not':
$rasa='Все';
break;
case 'wolf':
$rasa='Волк';
break;
case 'dog':
$rasa='Собака';
break;}
echo"<b>$mag[name]</b><br/>
Тип: $tip<br/>
<b>Характеристика</b><br/>
Урон: $mag[umin]/$mag[umax]<br/>
Защита головы: $mag[pgolova]<br/>
Защита тела: $mag[pbody]<br/>
Защита ног: $mag[pnogi]<br/>
<b>Бонусы:</b><br/>
Жизнь: $mag[hp]<br/>
Крит: $mag[krit]%<br/>
Крит-урон: $mag[ukrit]%<br/>
Анти-крит: $mag[antikrit]%<br/>
Сила: $mag[sila]<br/>
Ловкость: $mag[lovk]<br/>
<b>Требования:</b><br/>
Раса: $rasa<br/>
Уровень: $mag[nlvl]<br/>
";
echo"<a href=\"shoppit.php?\">Назад</a>";
break;
case 'sell':
if($_GET[act]==ask){
echo'Вы действительно хотите купить эту вещь?<br/>';
echo"<a href=\"shoppit.php?mod=sell&amp;id=$_GET[id]\">Да</a><br/>";
echo"<a href=\"shoppit.php?\">Нет</a>";
}else{
$req = mysql_query("SELECT * FROM `pit_shop` WHERE `city` = '$udata[city]' and `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка, такой вещи нет!';
@include('files/down.php');
exit;}
$mag = mysql_fetch_array($req);

$req=mysql_query("SELECT * FROM domination WHERE id = '1'");
$dom = mysql_fetch_assoc($req);
if($dom['white']>$dom['black']){
$liders='white';
}elseif($dom['black']>$dom['white']){
$liders='black';
}else{
$liders='not';}
if($udata['storona']==$liders){
$mag[cena]=round($mag[cena]-(($mag[cena]/100)*15));}

$nmoney=$udata[money]-$mag[cena];

if($nmoney<0){
echo'Нехватает монет!';
@include('files/down.php');
exit;}

mysql_query("INSERT INTO
        `pit_item` SET
        `usr` = '$log',
        `tip` = '$mag[tip]',
        `name` = '$mag[name]',
        `cena` = '$mag[cena]',
        `umin` = '$mag[umin]',
        `umax` = '$mag[umax]',
        `pgolova` = '$mag[pgolova]',
        `pbody` = '$mag[pbody]',
        `pnogi` = '$mag[pnogi]',
        `hp` = '$mag[hp]',
        `krit` = '$mag[krit]',
        `ukrit` = '$mag[ukrit]',
        `antikrit` = '$mag[antikrit]',
        `sila` = '$mag[sila]',
        `lovk` = '$mag[lovk]',
        `rasa` = '$mag[rasa]',
        `nlvl` = '$mag[nlvl]',
        `image` = 'not'");
mysql_query("UPDATE users SET money = '$nmoney' WHERE usr = '$log'");

echo"
Вещь $mag[name] куплена!<br/>
Монет потрачено: $mag[cena]<br/>
Монет осталось: $nmoney<br/>
";
echo"<a href=\"shoppit.php?\">Назад</a>";}
break;}
@include('files/down.php');
?>